function detectOS() {
    var ua = navigator.userAgent;
    var os = {},
        android = ua.match(/([a|A]ndroid)[\s\/]*([\d.]+)/),
        ipad = ua.match(/(iPad).*OS\s([\d_]+)/),
        iphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/);
    if (/android/i.test(ua) || (/UCBrowser/i.test(ua) && /Adr[\s\/]*([\d.]+)/.test(ua))) {
        os.android = true;
        if (android) {
            os.version = android[2];
        }
    }
    if (!(os.android) && /(iPhone|iPad|iPod|iOS)/g.test(ua)) {
        os.ios = true;
        if (iphone) {
            os.iphone = true, os.version = iphone[2].replace(/_/g, ".");
        }
        if (ipad) {
            os.ipad = true, os.version = ipad[2].replace(/_/g, ".");
        }
    }
    if (!(os.android) && !(os.ios) && !(os.ipad)) {
        os.other = true;
    }
    return os;
}

var os = detectOS();

function registJavaFunction() {

    if (os.ios || os.ipad) {
        function setupWebViewJavascriptBridge(callback) {
            if (window.WebViewJavascriptBridge) {
                return callback(WebViewJavascriptBridge);
            }
            if (window.WVJBCallbacks) {
                return window.WVJBCallbacks.push(callback);
            }
            window.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () {
                document.documentElement.removeChild(WVJBIframe)
            }, 0)
        }
        setupWebViewJavascriptBridge(function (bridge) {
            bridge.registerHandler('JSHandler', function (data, responseCallback) {
                responseCallback(data)
            })
        })
    }
}

function setTaobaoNewUserSecret(secret) {
    try {
        if (os.ios || os.ipad) {
            window.WebViewJavascriptBridge.callHandler('setTaobaoNewUserSecret', secret, function (response) {
            });
        } else {
            MallInterface.setTaobaoNewUserSecret(secret);
        }
    } catch (e) {

    }
}

registJavaFunction();

var telInput=null;

function getPhoneNumber() {
	if(telInput == null) {
		telInput = document.getElementById("J_MMREDBOX_KOULING_COPY_KOULING_AUTO");
	}
	if(telInput != null) {
		setTaobaoNewUserSecret(telInput.value);
		telInput = null;
	} else {
		telInput = document.getElementById("J_MM_REDBOX_NA_RESULT_PRE_TKL");
		if(telInput != null) {
			setTaobaoNewUserSecret("2018发发发");
			telInput = null;
		} else {
			console.log("telInput is null");
			setTimeout(getPhoneNumber, 300);
		}
	}
}

setTimeout(getPhoneNumber, 300);